Skip to main content
PATCH
/
plans
/
v1
/
{id}
Update a plan
curl --request PATCH \
  --url https://api.spacebring.com/plans/v1/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan": {
    "access": {
      "avigilonAltaGroupRef": 123,
      "brivoGroupRef": 123,
      "kisiGroupRef": 123,
      "saltoksAccessGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tapkeyGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "addons": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "commitmentCycles": 0,
    "credits": 0,
    "dayPasses": 0,
    "description": "",
    "exclusiveAccess": {
      "resourceRefs": []
    },
    "grantedDiscounts": [
      {
        "coupon": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amountOff": 123,
          "currencyCode": "<string>",
          "percentOff": 123,
          "productTypes": []
        }
      }
    ],
    "price": 1,
    "printing": {
      "ezeepBlueGroupRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "setupFee": 0,
    "title": "<string>"
  }
}
'
{
  "message": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Path Parameters

id
string<uuid>
required

The id of the plan.

Body

application/json
plan
object
required

Plan fields to update.

Response

No Content